# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::StatJob Class Reference

A KIO job that retrieves information about a file or directory. More...

`#include <jobclasses.h>`

Inheritance diagram for KIO::StatJob:

[legend]
Collaboration diagram for KIO::StatJob:

[legend]
List of all members.

## Signals

void | redirection (KIO::Job *job, const KURL &url)
void | permanentRedirection (KIO::Job *job, const KURL &fromUrl, const KURL &toUrl)

## Public Member Functions

| StatJob (const KURL &url, int command, const QByteArray &packedArgs, bool showProgressInfo)
void | setSide (bool source)
void | setDetails (short int details)
const UDSEntry & | statResult () const
virtual void | start (Slave *slave)

## Protected Slots

void | slotStatEntry (const KIO::UDSEntry &entry)
void | slotRedirection (const KURL &url)
virtual void | slotFinished ()
virtual void | slotMetaData (const KIO::MetaData &_metaData)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

UDSEntry | m_statResult
KURL | m_redirectionURL
bool | m_bSource
short int | m_details

## Detailed Description

A KIO job that retrieves information about a file or directory.

See also:
  KIO::stat()

Definition at line 647 of file jobclasses.h.

## Constructor & Destructor Documentation

StatJob::StatJob | ( | const KURL & | url,
|  | int | command,
|  | const QByteArray & | packedArgs,
|  | bool | showProgressInfo
| ) |

Do not use this constructor to create a StatJob, use KIO::stat() instead.

Parameters:

  | url | the url of the file or directory to check
  | command | the command to issue
  | packedArgs | the arguments
  | showProgressInfo | true to show progress information to the user

Definition at line 756 of file job.cpp.

## Member Function Documentation

void KIO::StatJob::setSide | ( | bool | source | ) | `[inline]`

A stat() can have two meanings.

Either we want to read from this URL, or to check if we can write to it. First case is "source", second is "dest". It is necessary to know what the StatJob is for, to tune the kioslave's behavior (e.g. with FTP).

Parameters:

  | source | true for "source" mode, false for "dest" mode

Definition at line 668 of file jobclasses.h.

Referenced by KIO::stat().

void KIO::StatJob::setDetails | ( | short int | details | ) | `[inline]`

Selects the level of `details` we want.

By default this is 2 (all details wanted, including modification time, size, etc.), setDetails(1) is used when deleting: we don't need all the information if it takes too much time, no need to follow symlinks etc. setDetails(0) is used for very simple probing: we'll only get the answer "it's a file or a directory, or it doesn't exist". This is used by KRun.

Parameters:

  | details | 2 for all details, 1 for simple, 0 for very simple

Definition at line 679 of file jobclasses.h.

Referenced by KIO::stat().

const UDSEntry& KIO::StatJob::statResult | ( |  | ) | const`[inline]`

Call this in the slot connected to result, and only after making sure no error happened.

Returns:
  the result of the stat

Definition at line 686 of file jobclasses.h.

void KIO::StatJob::redirection | ( | KIO::Job * | job,
|  | const KURL & | url
| ) | `[signal]`

Signals a redirection.

Use to update the URL shown to the user. The redirection itself is handled internally.

Parameters:

  | job | the job that is redirected
  | url | the new url

void KIO::StatJob::permanentRedirection | ( | KIO::Job * | job,
|  | const KURL & | fromUrl,
|  | const KURL & | toUrl
| ) | `[signal]`

Signals a permanent redirection.

The redirection itself is handled internally.

Parameters:

  | job | the job that is redirected
  | fromUrl | the original URL
  | toUrl | the new URL

Since:
  3.1

Referenced by slotFinished().

void StatJob::slotFinished | ( |  | ) | `[protected, virtual, slot]`

| Called when the slave marks the job as finished. Reimplemented from KIO::SimpleJob. Definition at line 800 of file job.cpp. References KIO::Scheduler::doJob(), KURL::isEmpty(), KURL::isValid(), permanentRedirection(), KIO::Job::queryMetaData(), and KIO::SimpleJob::slotFinished().

void StatJob::slotMetaData | ( | const KIO::MetaData & | _metaData | ) | `[protected, virtual, slot]`

MetaData from the slave is received.

Parameters:

  | _metaData | the meta data

See also:
  metaData()

Reimplemented from KIO::SimpleJob.

Definition at line 822 of file job.cpp.

References KIO::SimpleJob::slotMetaData().

The documentation for this class was generated from the following files:

- jobclasses.h
- job.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:26:02 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003